icecc-scheduler(1)

NAME
icecc-scheduler - Icecream scheduler

SYNOPSIS
icecc-scheduler
[ -n | --netname | name] [ -p | --port | port] [ -h | --help ] [ -l | --log-file | file] [ -d | --daemonize ] [ -r | --allow-run-as-user ] [ -v[v[v]] ]

DESCRIPTION
The Icecream scheduler is the central instance of an Icecream compile network. It distributes the compile jobs and provides the data for the monitors.

OPTIONS

\FC-n\F[], \FC--netname\F[] \FCnetname\F[]
    The name of the Icecream network the scheduler controls.

\FC-p\F[], \FC--port\F[] \FCport\F[]
    IP port the scheduler uses.

\FC-h\F[], \FC--help\F[]
    Print help message.

\FC-l\F[], \FC--log-file\F[] \FClogfile\F[]
    Name of file where log output is written to.

\FC-d\F[], \FC--daemonize\F[]
    Detach daemon from shell.

\FC-v\F[], \FC-vv\F[], \FC-vvv\F[]
    Control verbosity of daemon. The more v the more verbose.

\FC-r\F[], \FC--allow-run-as-user\F[]
    Force running the scheduler with user rights. Usually you will need to run the scheduler with root rights.

SEE ALSO
icecream, iceccd, icemon

AUTHOR
Cornelius Schumacher